declare default element namespace 'http://пф.рф/МУБЗ/2020-04-29';
declare namespace МСК = "http://пф.рф/ВВ/МСК/2017-12-13";
declare namespace УТ = "http://пф.рф/УТ/2017-08-21";
declare variable $document as document-node() external;
declare variable $root := $document/ЭДПФР;
declare variable $snArray:=$root//УТ:СНИЛС;
declare function local:nodePosition($node as node()?) as node()
{

				element {xs:QName("Результат")}
				{
					let $prefixes := ()
					let $prefixes := for $s in in-scope-prefixes($root) return insert-before($prefixes, 1, $s)
					let $ns := ()
					let $ns := for $p in $prefixes return insert-before($ns, 1, concat('Q{', namespace-uri-for-prefix($p, $root), '}'))
					return local:replacePathWithPrefixes(path($node), $ns, $prefixes)
				}
			
};
declare function local:replacePathWithPrefixes($path as xs:string?, $namespaces as xs:string*, $prefixes as xs:string*) as xs:string?
{

				if (count($namespaces) > 0)
				   then local:replacePathWithPrefixes(
				   		replace($path, local:escape-for-regex($namespaces[1]), if (local:all-whitespace($prefixes[1])) then '' else concat($prefixes[1], ':')),
				          $namespaces[position() > 1],
				          $prefixes[position() > 1])
				   else $path
			
};
declare function local:escape-for-regex($arg as xs:string?) as xs:string
{

				replace($arg, '(\.|\[|\]|\\|\||\-|\^|\$|\?|\*|\+|\{|\}|\(|\))','\\$1')
			
};
declare function local:result($path as xs:string, $expected as xs:anyAtomicType, $objectName as xs:string, $objectValue as xs:anyAtomicType) as node()
{

				if ($path = '0') then
					element {xs:QName("Результат")}
					{
						$path
					}
				else
					element {xs:QName("Результат")}
					{
						element {xs:QName("ПутьДоЭлемента")}
						{
							$path
						},
						element {xs:QName("ОжидаемоеЗначение")}
						{
							$expected
						},
						element {xs:QName("Объект")}
						{
							element {xs:QName("Наименование")}
							{
								$objectName
							},
							element {xs:QName("Значение")}
							{
								$objectValue
							}
						}
					}
			
};
declare function local:all-whitespace($arg as xs:string?) as xs:boolean
{
normalize-space($arg) = ''
};
declare function local:isEmpty($element) as xs:boolean
{
local:all-whitespace(string($element))
};
declare function local:notExistsOrEmpty($element) as xs:boolean
{
not(exists($element)) or local:isEmpty($element)
};
declare function local:getResult($res as item()*) as item()*
{
if (exists($res)) then $res else local:result('0','','','')
};
<БлокПроверок ID="ВВ.ОПЗ.1" name="Общие для всех заявлений правила проверки">
<Проверка ID="6">
<Описание>Страховой номер индивидуального лицевого счета застрахованного лица (СНИЛС) не должен состоять из одних нулей</Описание>
<РезультатЗапроса>
{
local:getResult(
					if (count($snArray) > 0) then
						for $sn in $snArray
							return if ($sn = ('000-000-000 00', '000-000-000-00')) then
								local:result(local:nodePosition($sn), '', '', '')
							else ()
					else ()
				)}
</РезультатЗапроса>
<КодРезультата>50</КодРезультата>
</Проверка>
</БлокПроверок>

